; #FUNCTION# ====================================================================================================================
; Name ..........: MBR GUI Design
; Description ...: This file Includes GUI Design
; Syntax ........:
; Parameters ....: None
; Return values .: None
; Author ........: GKevinOD (2014)
; Modified ......: DkEd, Hervidero (2015)
; Remarks .......: This file is part of MyBot, previously known as ClashGameBot. Copyright 2015-2016
;                  MyBot is distributed under the terms of the GNU GPL
; Related .......:
; Link ..........: https://github.com/MyBotRun/MyBot/wiki
; Example .......: No
; ===============================================================================================================================

;~ -------------------------------------------------------------
;~ Language Variables used a lot
;~ -------------------------------------------------------------

$sTxtBarbarians = GetTranslated(6,7, "Barbarians")
$sTxtArchers = GetTranslated(6,8, "Archers")
$sTxtGiants = GetTranslated(6,9, "Giants")
$sTxtGoblins = GetTranslated(6,10, "Goblins")
$sTxtWallBreakers = GetTranslated(6,11, "Wall Breakers")

$sTxtBlacklist = GetTranslated(6,12, "Blacklist")

$sTxtMinions = GetTranslated(6,13, "Minions")
$sTxtHogRiders = GetTranslated(6,14, "Hog Riders")
$sTxtValkyries = GetTranslated(6,15, "Valkyries")

$sTxtCustom = GetTranslated(6,16, "Custom Troops")

$sTxtBalloons = GetTranslated(6,17, "Balloons")
$sTxtWizards = GetTranslated(6,18, "Wizards")
$sTxtHealers = GetTranslated(6,19, "Healers")
$sTxtDragons = GetTranslated(6,20, "Dragons")
$sTxtPekkas = GetTranslated(6,21, "Pekkas")
$sTxtPekkasLong = GetTranslated(6,70, "P.E.K.K.A.s")

$sTxtGolems = GetTranslated(6,22, "Golems")
$sTxtWitches = GetTranslated(6,23, "Witches")
$sTxtLavaHounds = GetTranslated(6,24, "Lava Hounds")

$sTxtNothing = GetTranslated(6,83, "Nothing")

$sTxtPoisonSpells = GetTranslated(6,84, "Poison Spells")
$sTxtEarthquakeSpells = GetTranslated(6,85, "Earthquake Spells")
$sTxtHasteSpells = GetTranslated(6,86, "Haste Spells")

$sTxtDonate = GetTranslated(6,27, "Donate")
$sTxtDonateTip = GetTranslated(6,28, "Check this to donate")
$sTxtDonateAll = GetTranslated(6,29, "Donate to All")
$sTxtIgnoreAll = GetTranslated(6,31, "This will also ignore ALL keywords.")
$sTxtKeywords = GetTranslated(6,32, "Keywords for donating")
$sTxtKeywordsNo = GetTranslated(6,33, "Do NOT donate to these keywords")
$sTxtKeywordsNoTip = GetTranslated(6,34, "Blacklist for donating")
$sTxtDonateTipTroop = GetTranslated(6,81, "if keywords match the Chat Request.")
$sTxtDonateTipAll = GetTranslated(6,82, "to ALL Chat Requests.")

;~ -------------------------------------------------------------
;~ Donate Tab
;~ -------------------------------------------------------------
$tabDonate = GUICtrlCreateTabItem(GetTranslated(6,1, "Donate"))
	Local $x = 30, $y = 150
	$grpDonation = GUICtrlCreateGroup(GetTranslated(6,2, "Ask for Clan Castle Troops"), $x - 20, $y - 20, 400, 65)
		GUICtrlCreateIcon($pIconLib, $eIcnCC, $x - 5, $y, 32, 32, $BS_ICON)
		$chkRequest = GUICtrlCreateCheckbox(GetTranslated(6,3, "Request for") & ":", $x + 35, $y + 5, -1, -1)
			GUICtrlSetOnEvent(-1, "chkRequest")
		$txtRequest = GUICtrlCreateInput(GetTranslated(6,4, "Anything please"), $x + 115, $y + 5, 245, -1)
			GUICtrlSetState(-1, $GUI_DISABLE)
			GUICtrlSetTip(-1, GetTranslated(6,5, "This text is used on your request for troops in the Clan chat."))
		;;; Extra Alphabets
	$chkExtraAlphabets = GUICtrlCreateCheckbox(GetTranslated(6,25, "Cyrillic"), $x + 383, $y + 5, -1, -1)
		GUICtrlSetTip(-1, GetTranslated(6,26, "Check this to enable the Cyrillic Alphabet."))

	GUICtrlCreateGroup("", -99, -99, 1, 1)

$y += 70
$grpTroopselection = GUICtrlCreateGroup(GetTranslated(6,6, "Donate Troops Selection Menu"), $x - 20, $y - 20, 450, 110)
$x -=2
	$lblBtnBarbarians = GUICtrlCreateLabel("", $x - 12, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnBarbarians = GUICtrlCreateButton("", $x - 10, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage(-1, $pIconLib, $eIcnDonBarbarian, 1)
		GUICtrlSetOnEvent(-1, "btnDonateBarbarians")
	$lblBtnArchers = GUICtrlCreateLabel("", $x + 28, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnArchers = GUICtrlCreateButton("", $x + 30, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage(-1, $pIconLib, $eIcnDonArcher, 1)
		GUICtrlSetOnEvent(-1, "btnDonateArchers")
	$lblBtnGiants = GUICtrlCreateLabel("", $x + 68, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnGiants = GUICtrlCreateButton("", $x + 70, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage(-1, $pIconLib, $eIcnDonGiant, 1)
		GUICtrlSetOnEvent(-1, "btnDonateGiants")
	$lblBtnGoblins = GUICtrlCreateLabel("", $x + 108, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnGoblins = GUICtrlCreateButton("", $x + 110, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage(-1, $pIconLib, $eIcnDonGoblin, 1)
		GUICtrlSetOnEvent(-1, "btnDonateGoblins")
	$lblBtnWallBreakers = GUICtrlCreateLabel("", $x + 148, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnWallBreakers = GUICtrlCreateButton("", $x + 150, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage(-1, $pIconLib, $eIcnDonWallBreaker, 1)
		GUICtrlSetOnEvent(-1, "btnDonateWallBreakers")

	$btnBlacklist = GUICtrlCreateButton("", $x + 191, $y + 24, 32, 32, $BS_ICON)
		GUICtrlSetImage (-1, $pIconLib, $eIcnDonBlacklist, 1)
		GUICtrlSetOnEvent(-1, "btnDonateBlacklist")

	$lblBtnMinions = GUICtrlCreateLabel("", $x + 223, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnMinions = GUICtrlCreateButton("", $x + 225, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage(-1, $pIconLib, $eIcnDonMinion, 1)
		GUICtrlSetOnEvent(-1, "btnDonateMinions")
	$lblBtnHogRiders = GUICtrlCreateLabel("", $x + 263, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnHogRiders = GUICtrlCreateButton("", $x + 265, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage(-1, $pIconLib, $eIcnDonHogRider, 1)
		GUICtrlSetOnEvent(-1, "btnDonateHogRiders")
	$lblBtnValkyries = GUICtrlCreateLabel("", $x + 303, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnValkyries = GUICtrlCreateButton("", $x+ 305, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage(-1, $pIconLib, $eIcnDonValkyrie, 1)
		GUICtrlSetOnEvent(-1, "btnDonateValkyries")
	$lblBtnPoisonSpells = GUICtrlCreateLabel("", $x + 343, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnPoisonSpells = GUICtrlCreateButton("", $x+ 345, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage(-1, $pIconLib, $eIcnPoisonSpell, 1)
		GUICtrlSetOnEvent(-1, "btnDonatePoisonSpells")
	$lblBtnEarthquakeSpells = GUICtrlCreateLabel("", $x + 383, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnEarthquakeSpells = GUICtrlCreateButton("", $x+ 385, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage(-1, $pIconLib, $eIcnEarthQuakeSpell, 1)
		GUICtrlSetOnEvent(-1, "btnDonateEarthQuakeSpells")


$y += 40
	$lblBtnBalloons = GUICtrlCreateLabel("", $x - 12, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnBalloons = GUICtrlCreateButton("", $x - 10, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage(-1, $pIconLib, $eIcnDonBalloon, 1)
		GUICtrlSetOnEvent(-1, "btnDonateBalloons")
	$lblBtnWizards = GUICtrlCreateLabel("", $x + 28, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnWizards = GUICtrlCreateButton("", $x + 30, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage(-1, $pIconLib, $eIcnDonWizard, 1)
		GUICtrlSetOnEvent(-1, "btnDonateWizards")
	$lblBtnHealers = GUICtrlCreateLabel("", $x + 68, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnHealers = GUICtrlCreateButton("", $x + 70, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage(-1, $pIconLib, $eIcnDonHealer, 1)
		GUICtrlSetOnEvent(-1, "btnDonateHealers")
	$lblBtnDragons = GUICtrlCreateLabel("", $x + 108, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnDragons = GUICtrlCreateButton("", $x + 110, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage(-1, $pIconLib, $eIcnDonDragon, 1)
		GUICtrlSetOnEvent(-1, "btnDonateDragons")
	$lblBtnPekkas = GUICtrlCreateLabel("", $x + 148, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnPekkas = GUICtrlCreateButton("", $x + 150, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage (-1, $pIconLib, $eIcnDonPekka, 1)
		GUICtrlSetOnEvent(-1, "btnDonatePekkas")

	$lblBtnGolems = GUICtrlCreateLabel("", $x + 223, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnGolems = GUICtrlCreateButton("", $x + 225, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage (-1, $pIconLib, $eIcnDonGolem, 1)
		GUICtrlSetOnEvent(-1, "btnDonateGolems")
	$lblBtnWitches = GUICtrlCreateLabel("", $x + 263, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnWitches = GUICtrlCreateButton("", $x+ 265, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage (-1, $pIconLib, $eIcnDonWitch, 1)
		GUICtrlSetOnEvent(-1, "btnDonateWitches")
	$lblBtnLavaHounds = GUICtrlCreateLabel("", $x + 303, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnLavaHounds = GUICtrlCreateButton("", $x + 305, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage (-1, $pIconLib, $eIcnDonLavaHound, 1)
		GUICtrlSetOnEvent(-1, "btnDonateLavaHounds")
	$lblBtnHasteSpells = GUICtrlCreateLabel("", $x + 343, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnHasteSpells = GUICtrlCreateButton("", $x + 345, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage (-1, $pIconLib, $eIcnHasteSpell, 1)
		GUICtrlSetOnEvent(-1, "btnDonateHasteSpells")
	;;; Custom Combination Donate by ChiefM3
	$lblBtnCustom = GUICtrlCreateLabel("", $x + 383, $y - 2, 42, 42)
		GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
		GUICtrlSetState(-1, $GUI_DISABLE)
	$btnCustom = GUICtrlCreateButton("", $x + 385, $y, 38, 38, $BS_ICON)
		GUICtrlSetImage (-1, $pIconLib, $eIcnDonCustom, 1)
		GUICtrlSetOnEvent(-1, "btnDonateCustom")


$x += 2
$y += 75
	$grpBarbarians = GUICtrlCreateGroup($sTxtBarbarians, $x - 20, $y - 20, 450, 190)
		$picDonateBarbarians = GUICtrlCreateIcon($pIconLib, $eIcnDonBarbarian, $x + 215, $y, 64, 64, $BS_ICON)
		$chkDonateBarbarians = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtBarbarians, $x + 285, $y + 10, -1, -1)
			GUICtrlSetTip(-1,  $sTxtDonateTip & " " & $sTxtBarbarians & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateBarbarians")
		$chkDonateAllBarbarians = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetTip(-1,  $sTxtDonateTip & " " & $sTxtBarbarians & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllBarbarians")
		$lblDonateBarbarians = 	GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtBarbarians & ":", $x - 5, $y + 5, -1, -1)
		$txtDonateBarbarians = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,35, "barbarians\r\nbarb")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtBarbarians)
		$lblBlacklistBarbarians = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
		$txtBlacklistBarbarians = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,36, "no barbarians\r\nno barb\r\nbarbarians no\r\nbarb no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtBarbarians)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpArchers = GUICtrlCreateGroup($sTxtArchers, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateArchers = GUICtrlCreateIcon($pIconLib, $eIcnDonArcher, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateArchers = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtArchers, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtArchers & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateArchers")
		$chkDonateAllArchers = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtArchers & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllArchers")
		$lblDonateArchers = GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtArchers & ":", $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateArchers = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,37, "archers\r\narch")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtArchers)
		$lblBlacklistArchers = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistArchers = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,38, "no archers\r\nno arch\r\narchers no\r\narch no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtArchers)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpGiants = GUICtrlCreateGroup($sTxtGiants, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateGiants = GUICtrlCreateIcon($pIconLib, $eIcnDonGiant, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateGiants = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtGiants, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtGiants & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateGiants")
		$chkDonateAllGiants = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtGiants & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllGiants")
		$lblDonateGiants = 	GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtGiants & ":", $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateGiants = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,39, "giants\r\ngiant\r\nany\r\nreinforcement")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtGiants)
		$lblBlacklistGiants = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistGiants = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,40, "no giants\r\ngiants no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtGiants)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpGoblins = GUICtrlCreateGroup($sTxtGoblins, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateGoblins = GUICtrlCreateIcon($pIconLib, $eIcnDonGoblin, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateGoblins = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtGoblins, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtGoblins & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateGoblins")
		$chkDonateAllGoblins = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtGoblins & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllGoblins")
		$lblDonateGoblins = 	GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtGoblins & ":", $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateGoblins = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,41, "goblins\r\ngoblin")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtGoblins)
		$lblBlacklistGoblins = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistGoblins = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,42, "no goblins\r\ngoblins no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtGoblins)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpWallBreakers = GUICtrlCreateGroup($sTxtWallBreakers, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateWallBreakers = GUICtrlCreateIcon($pIconLib, $eIcnDonWallBreaker, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateWallBreakers = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtWallBreakers, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtWallBreakers & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateWallBreakers")
		$chkDonateAllWallBreakers = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtWallBreakers & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllWallBreakers")
		$lblDonateWallBreakers = 	GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtWallBreakers & ":", $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateWallBreakers = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,43, "wall breakers\r\nbreaker")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtWallBreakers)
		$lblBlacklistWallBreakers = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistWallBreakers = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,44, "no wall breakers\r\nwall breakers no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtWallBreakers)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpBalloons = GUICtrlCreateGroup($sTxtBalloons, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateBalloons = GUICtrlCreateIcon($pIconLib, $eIcnDonBalloon, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateBalloons = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtBalloons, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtBalloons & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateBalloons")
		$chkDonateAllBalloons = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtBalloons & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllBalloons")
		$lblDonateBalloons = GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtBalloons & ":", $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateBalloons = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,45, "balloons\r\nballoon")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtBalloons)
		$lblBlacklistBalloons = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistBalloons = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,46, "no balloons\r\nballoons no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtBalloons)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpWizards = GUICtrlCreateGroup($sTxtWizards, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateWizards = GUICtrlCreateIcon($pIconLib, $eIcnDonWizard, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateWizards = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtWizards, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtWizards & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateWizards")
		$chkDonateAllWizards = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtWizards & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllWizards")
		$lblDonateWizards = GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtWizards & ":", $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateWizards = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,47, "wizards\r\nwizard")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtWizards)
		$lblBlacklistWizards = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistWizards = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,48, "no wizards\r\nwizards no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtWizards)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpHealers = GUICtrlCreateGroup($sTxtHealers, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateHealers = GUICtrlCreateIcon($pIconLib, $eIcnDonHealer, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateHealers = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtHealers, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtHealers & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateHealers")
		$chkDonateAllHealers = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtHealers & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllHealers")
		$lblDonateHealers = GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtHealers & ":", $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateHealers = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,49, "healer")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtHealers)
		$lblBlacklistHealers = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistHealers = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,50, "no healer\r\nhealer no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtHealers)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpDragons = GUICtrlCreateGroup($sTxtDragons, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateDragons = GUICtrlCreateIcon($pIconLib, $eIcnDonDragon, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateDragons = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtDragons, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtDragons & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateDragons")
		$chkDonateAllDragons = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtDragons & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllDragons")
		$lblDonateDragons = 	GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtDragons & ":", $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateDragons = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,51, "dragon")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtDragons)
		$lblBlacklistDragons = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistDragons = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,52, "no dragon\r\ndragon no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtDragons)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpPekkas = GUICtrlCreateGroup($sTxtPekkasLong, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonatePekkas = GUICtrlCreateIcon($pIconLib, $eIcnDonPekka, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonatePekkas = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtPekkasLong, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtPekkasLong & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonatePekkas")
		$chkDonateAllPekkas = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtPekkasLong & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllPekkas")
		$lblDonatePekkas = 	GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtPekkasLong & ":", $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonatePekkas = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,53, "PEKKA\r\npekka")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtPekkasLong)
		$lblBlacklistPekkas = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistPekkas = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,54, "no PEKKA\r\npekka no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtPekkasLong)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpMinions = GUICtrlCreateGroup($sTxtMinions, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateMinions = GUICtrlCreateIcon($pIconLib, $eIcnDonMinion, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateMinions = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtMinions, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtMinions & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateMinions")
		$chkDonateAllMinions = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtMinions & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllMinions")
		$lblDonateMinions = 	GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtMinions & ":", $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateMinions = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,55, "minions\r\nminion")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtMinions)
		$lblBlacklistMinions = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistMinions = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,56, "no minions\r\nminions no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtMinions)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpHogRiders = GUICtrlCreateGroup($sTxtHogRiders, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateHogRiders = GUICtrlCreateIcon($pIconLib, $eIcnDonHogRider, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateHogRiders = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtHogRiders, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtHogRiders & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateHogRiders")
		$chkDonateAllHogRiders = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " &  $sTxtHogRiders & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllHogRiders")
		$lblDonateHogRiders = 	GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtHogRiders & ":", $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateHogRiders = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,57, "hogriders\r\nhogs\r\nhog")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtHogRiders)
		$lblBlacklistHogRiders = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistHogRiders = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,58, "no hogs\r\nhog no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtHogRiders)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpValkyries = GUICtrlCreateGroup($sTxtValkyries, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateValkyries = GUICtrlCreateIcon($pIconLib, $eIcnDonValkyrie, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateValkyries = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtValkyries, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtValkyries & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateValkyries")
		$chkDonateAllValkyries = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtValkyries & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllValkyries")
		$lblDonateValkyries = 	GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtValkyries & ":", $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateValkyries = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,59, "valkyries\r\nvalkyrie")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtValkyries)
		$lblBlacklistValkyries = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistValkyries = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,60, "no valkyries\r\nvalkyries no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtValkyries)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpGolems = GUICtrlCreateGroup($sTxtGolems, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateGolems = GUICtrlCreateIcon($pIconLib, $eIcnDonGolem, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateGolems = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtGolems, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtGolems & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateGolems")
		$chkDonateAllGolems = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtGolems & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllGolems")
		$lblDonateGolems = 	GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtGolems & ":", $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateGolems = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,61, "golem")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtGolems)
		$lblBlacklistGolems = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistGolems = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,62, "no golem\r\ngolem no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtGolems)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpWitches = GUICtrlCreateGroup($sTxtWitches, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateWitches = GUICtrlCreateIcon($pIconLib, $eIcnDonWitch, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateWitches = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtWitches, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtWitches & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateWitches")
		$chkDonateAllWitches = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtWitches & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllWitches")
		$lblDonateWitches = 	GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtWitches & ":", $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateWitches = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,63, "witches\r\nwitch")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtWitches)
		$lblBlacklistWitches = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistWitches = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,64, "no witches\r\nwitch no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtWitches)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpLavaHounds = GUICtrlCreateGroup($sTxtLavaHounds, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateLavaHounds = GUICtrlCreateIcon($pIconLib, $eIcnDonLavaHound, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateLavaHounds = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtLavaHounds, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtLavaHounds & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateLavaHounds")
		$chkDonateAllLavaHounds = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtLavaHounds & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllLavaHounds")
		$lblDonateLavaHounds = 	GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtLavaHounds & ":" , $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateLavaHounds = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,65, "lavahound\r\nhound\r\nlava")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtLavaHounds)
		$lblBlacklistLavaHounds = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistLavaHounds = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,66, "no lavahound\r\nhound no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtLavaHounds)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpPoisonSpells = GUICtrlCreateGroup($sTxtPoisonSpells, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonatePoisonSpells = GUICtrlCreateIcon($pIconLib, $eIcnPoisonSpell, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonatePoisonSpells = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtPoisonSpells, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtPoisonSpells & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonatePoisonSpells")
		$chkDonateAllPoisonSpells = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtPoisonSpells & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllPoisonSpells")
		$lblDonatePoisonSpells = 	GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtPoisonSpells & ":" , $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonatePoisonSpells = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,87, "poison")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtPoisonSpells)
		$lblBlacklistPoisonSpells = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistPoisonSpells = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,88, "no poison\r\npoison no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtPoisonSpells)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpEarthQuakeSpells = GUICtrlCreateGroup($sTxtEarthQuakeSpells, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateEarthQuakeSpells = GUICtrlCreateIcon($pIconLib, $eIcnEarthQuakeSpell, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateEarthQuakeSpells = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtEarthQuakeSpells, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtEarthQuakeSpells & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateEarthQuakeSpells")
		$chkDonateAllEarthQuakeSpells = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtEarthQuakeSpells & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllEarthQuakeSpells")
		$lblDonateEarthQuakeSpells = 	GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtEarthQuakeSpells & ":" , $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateEarthQuakeSpells = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,89, "earthquake\r\nquake")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtEarthQuakeSpells)
		$lblBlacklistEarthQuakeSpells = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistEarthQuakeSpells = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,90, "no earthquake\r\nquake no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtEarthQuakeSpells)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpHasteSpells = GUICtrlCreateGroup($sTxtHasteSpells, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateHasteSpells = GUICtrlCreateIcon($pIconLib, $eIcnHasteSpell, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateHasteSpells = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtHasteSpells, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtHasteSpells & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateHasteSpells")
		$chkDonateAllHasteSpells = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtHasteSpells & " " & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllHasteSpells")
		$lblDonateHasteSpells = 	GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtHasteSpells & ":" , $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateHasteSpells = GUICtrlCreateEdit("", $x - 5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,91, "haste")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtHasteSpells)
		$lblBlacklistHasteSpells = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 70, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistHasteSpells = GUICtrlCreateEdit("", $x + 215, $y + 85, 200, 70, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,92, "no haste\r\nhaste no")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtHasteSpells)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

;;; Custom Combination Donate by ChiefM3, edit by Hervidero
	$grpCustom = GUICtrlCreateGroup($sTxtCustom, $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateCustom = GUICtrlCreateIcon($pIconLib, $eIcnDonCustom, $x + 215, $y, 64, 64, $BS_ICON)
		    GUICtrlSetState(-1, $GUI_HIDE)
		$chkDonateCustom = GUICtrlCreateCheckbox($sTxtDonate & " " & $sTxtCustom, $x + 285, $y + 10, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtCustom & " " & $sTxtDonateTipTroop)
			GUICtrlSetOnEvent(-1, "chkDonateCustom")
		$chkDonateAllCustom = GUICtrlCreateCheckbox($sTxtDonateAll, $x + 285, $y + 30, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetTip(-1, $sTxtDonateTip & " " & $sTxtCustom & $sTxtDonateTipAll & @CRLF & $sTxtIgnoreAll)
			GUICtrlSetOnEvent(-1, "chkDonateAllCustom")
		$lblDonateCustom =     GUICtrlCreateLabel($sTxtKeywords & " " & $sTxtCustom & ":", $x - 5, $y + 90, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateCustom = GUICtrlCreateEdit("", $x - 5, $y + 105, 205, 50, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,71, "any\r\nneed")))
			GUICtrlSetTip(-1, $sTxtKeywords & " " & $sTxtCustom)
		$lblDonateCustom1 = GUICtrlCreateLabel(GetTranslated(6,72, "1st") & ":", $x, $y + 4, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateCustom1 = GUICtrlCreateIcon($pIconLib, $eIcnDonWizard, $x + 25, $y, 24, 24)
			GUICtrlSetState(-1, $GUI_HIDE)
		$cmbDonateCustom1 = GUICtrlCreateCombo("", $x + 60, $y, 95, 25, BitOR($CBS_DROPDOWNLIST, $CBS_AUTOHSCROLL))
			GUICtrlSetData(-1, $sTxtBarbarians & "|" & $sTxtArchers & "|" & $sTxtGiants & "|" & $sTxtGoblins & "|" & $sTxtWallBreakers & "|" & $sTxtBalloons & "|" & $sTxtWizards & "|" & $sTxtHealers & "|" & $sTxtDragons & "|" & $sTxtPekkas & "|" & $sTxtMinions & "|" & $sTxtHogRiders & "|" & $sTxtValkyries & "|" & $sTxtGolems & "|" & $sTxtWitches & "|" & $sTxtLavaHounds & "|" & $sTxtNothing, $sTxtWizards)
			GUICtrlSetOnEvent(-1, "cmbDonateCustom")
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateCustom1 = GUICtrlCreateInput("2", $x + 165, $y, 30, 21, BitOR($GUI_SS_DEFAULT_INPUT, $ES_CENTER, $ES_NUMBER))
			GUICtrlSetLimit(-1, 1)
			GUICtrlSetState(-1, $GUI_HIDE)

		$lblDonateCustom2 = GUICtrlCreateLabel(GetTranslated(6,73, "2nd") & ":", $x, $y + 29, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateCustom2 = GUICtrlCreateIcon($pIconLib, $eIcnDonArcher, $x + 25, $y + 25, 24, 24)
			GUICtrlSetState(-1, $GUI_HIDE)
		$cmbDonateCustom2 = GUICtrlCreateCombo("", $x + 60, $y + 25, 95, 25, BitOR($CBS_DROPDOWNLIST, $CBS_AUTOHSCROLL))
			GUICtrlSetData(-1, $sTxtBarbarians & "|" & $sTxtArchers & "|" & $sTxtGiants & "|" & $sTxtGoblins & "|" & $sTxtWallBreakers & "|" & $sTxtBalloons & "|" & $sTxtWizards & "|" & $sTxtHealers & "|" & $sTxtDragons & "|" & $sTxtPekkas & "|" & $sTxtMinions & "|" & $sTxtHogRiders & "|" & $sTxtValkyries & "|" & $sTxtGolems & "|" & $sTxtWitches & "|" & $sTxtLavaHounds & "|" & $sTxtNothing, $sTxtArchers)
			GUICtrlSetOnEvent(-1, "cmbDonateCustom")
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateCustom2 = GUICtrlCreateInput("3", $x + 165, $y + 25, 30, 21, BitOR($GUI_SS_DEFAULT_INPUT, $ES_CENTER, $ES_NUMBER))
			GUICtrlSetLimit(-1, 1)
			GUICtrlSetState(-1, $GUI_HIDE)

		$lblDonateCustom3 = GUICtrlCreateLabel(GetTranslated(6,74, "3rd") & ":", $x, $y + 54, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateCustom3 = GUICtrlCreateIcon($pIconLib, $eIcnDonBarbarian, $x + 25, $y + 50, 24, 24)
			GUICtrlSetState(-1, $GUI_HIDE)
		$cmbDonateCustom3 = GUICtrlCreateCombo("", $x + 60, $y + 50, 95, 25, BitOR($CBS_DROPDOWNLIST, $CBS_AUTOHSCROLL))
			GUICtrlSetData(-1, $sTxtBarbarians & "|" & $sTxtArchers & "|" & $sTxtGiants & "|" & $sTxtGoblins & "|" & $sTxtWallBreakers & "|" & $sTxtBalloons & "|" & $sTxtWizards & "|" & $sTxtHealers & "|" & $sTxtDragons & "|" & $sTxtPekkas & "|" & $sTxtMinions & "|" & $sTxtHogRiders & "|" & $sTxtValkyries & "|" & $sTxtGolems & "|" & $sTxtWitches & "|" & $sTxtLavaHounds & "|" & $sTxtNothing, $sTxtBarbarians)
			GUICtrlSetOnEvent(-1, "cmbDonateCustom")
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtDonateCustom3 = GUICtrlCreateInput("1", $x + 165, $y + 50, 30, 21, BitOR($GUI_SS_DEFAULT_INPUT, $ES_CENTER, $ES_NUMBER))
			GUICtrlSetLimit(-1, 1)
			GUICtrlSetState(-1, $GUI_HIDE)

		$lblBlacklistCustom = GUICtrlCreateLabel($sTxtKeywordsNo & ":", $x + 215, $y + 90, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklistCustom = GUICtrlCreateEdit("", $x + 215, $y + 105, 200, 50, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,76, "only\r\njust")))
			GUICtrlSetTip(-1, $sTxtKeywordsNoTip & " " & $sTxtCustom)
	GUICtrlCreateGroup("", -99, -99, 1, 1)

	$grpBlacklist = GUICtrlCreateGroup(GetTranslated(6,78, "General Blacklist"), $x - 20, $y - 20, 450, 190)
		GUICtrlSetState(-1, $GUI_HIDE)
		$picDonateBlacklist = GUICtrlCreateIcon($pIconLib, $eIcnDonBlacklist, $x + 215, $y, 64, 64, $BS_ICON)
			GUICtrlSetState(-1, $GUI_HIDE)
		$lblBlacklist = GUICtrlCreateLabel(GetTranslated(6,77, "Do NOT donate to any of these keywords") & ":", $x - 5, $y + 5, -1, -1)
			GUICtrlSetState(-1, $GUI_HIDE)
		$txtBlacklist = GUICtrlCreateEdit("", $x -5, $y + 20, 205, 135, BitOR($ES_WANTRETURN, $ES_CENTER, $ES_AUTOVSCROLL))
			GUICtrlSetState(-1, $GUI_HIDE)
			GUICtrlSetBkColor ( -1, 0x505050)
			GUICtrlSetColor ( -1, $COLOR_WHITE)
			GUICtrlSetData(-1, StringFormat(GetTranslated(6,79, "clan war\r\nwar\r\ncw")))
			GUICtrlSetTip(-1, GetTranslated(6,80, "General Blacklist for donation requests"))
	GUICtrlCreateGroup("", -99, -99, 1, 1)
